Eclipse Platform Release 3.7

## org.eclipse.swt.events
Interface MenuDetectListener

All Superinterfaces:
  EventListener, org.eclipse.swt.internal.SWTEventListener

    public interface MenuDetectListener

extends org.eclipse.swt.internal.SWTEventListener

Classes which implement this interface provide methods that deal with the events that are generated when the platform-specific trigger for showing a context menu is detected.

After creating an instance of a class that implements this interface it can be added to a control or TrayItem using the `addMenuDetectListener` method and removed using the `removeMenuDetectListener` method. When the context menu trigger occurs, the `menuDetected` method will be invoked.

Since:
  3.3
See Also:
  `MenuDetectEvent`

Method Summary
`void` `menuDetected(MenuDetectEvent e)` Sent when the platform-dependent trigger for showing a menu item is detected.

Method Detail

### menuDetected

    void menuDetected(MenuDetectEvent e)

  Sent when the platform-dependent trigger for showing a menu item is detected.

  Parameters:
    `e` - an event containing information about the menu detect

Eclipse Platform Release 3.7

Guidelines for using Eclipse APIs.

Copyright (c) Eclipse contributors and others 2000, 2011. All rights reserved.